Subject: Re: [bitcoin-dev] Block size following technological growth

From: Bryan Bishop <[email-masked]>
Date: Thu, 30 Jul 2015 11:36:29 -0500

On Thu, Jul 30, 2015 at 11:23 AM, Jameson Lopp via bitcoin-dev <
[email-masked]> wrote:

> Stated differently, if the cost or contention of using the network rises
> to the point of excluding the average user from making transactions, then
> they probably aren't going to care that they can run a node at trivial cost.

That's an interesting claim; so suppose you're living in a future where
transactions are summarizing millions or billions of other daily
transactions, possibly with merkle hashes. You think that because a user
can't individually broadcast his own personal transaction, that the user
would not be interested in verifying the presence of a summarizing
transaction in the blockchain? I'm just curious if you could elaborate on
this effect. Why would I need to see my individual transactions on the
network, but not see aggregate transactions that include my own?

- Bryan
http://heybryan.org/
1 512 203 0507